Loading...
Searching...
No Matches
rdieee.c File Reference

Read a list of real values in 32-bit IEEE floating point format. More...

`#include "grib2_int.h"`

Go to the source code of this file.

## Functions

void | rdieee (g2int *rieee, float *a, g2int num)
| Read a list of real values in 32-bit IEEE floating point format.

## Detailed Description

Read a list of real values in 32-bit IEEE floating point format.

Author
  Stephen Gilbert

Date
  2002-10-25

Definition in file rdieee.c.

## Function Documentation

## rdieee()

void rdieee | ( | g2int * | rieee,
|  | float * | a,
|  | g2int | num )

Read a list of real values in 32-bit IEEE floating point format.

Parameters

  rieee | g2int array of floating point values in 32-bit IEEE format.
  num | Number of floating point values to convert.
  a | float array of real values. a must be allocated with at least 4*num bytes of memory before calling this function.

Author
  Stephen Gilbert

Date
  2002-10-25

Definition at line 20 of file rdieee.c.

References int_power().

Referenced by aecunpack_int(), comunpack(), g2_miss(), g2_unpack4(), g2c_unpack7_int(), jpcunpack_int(), misspack(), pngunpack_int(), simunpack(), and specunpack().